\name{setCPT}
\alias{setCPT}
\title{Set conditional probability tables for all auxiliary variables}
\usage{
setCPT(mixture, pars, markers = mixture$markers)
}
\arguments{
  \item{mixture}{A DNA mixture}

  \item{pars}{A list of parameters}

  \item{markers}{Optionally, a list of markers for which to
  set the tables}
}
\value{
List containing evidence for conditioning on peak heights.
}
\description{
A wrapper-function for the case where the conditional
probability tables are to be set in a DNA mixture model for
all the auxiliary variables (O, D and Q, at all markers and
all alleles).
}
\details{
The conditional probability tables are set according to a
list of specified parameters and the observed peak heights.
The function returns evidence for future use on the nodes
O.
}
\seealso{
For further details, see in particular
\code{\link{setCPT.O}}.
}

